org.apache.maven.execution

## Class DefaultRuntimeInformation

- java.lang.Object
- - org.apache.maven.execution.DefaultRuntimeInformation

- All Implemented Interfaces:
    RuntimeInformation

      public class DefaultRuntimeInformation
      extends java.lang.Object
      implements RuntimeInformation

  Describes runtime information about the application.
  Version:
    $Id: DefaultRuntimeInformation.java 640549 2008-03-24 20:05:11Z bentmann $
  Author:
    Brett Porter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultRuntimeInformation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ArtifactVersion` | `getApplicationVersion()`
    `void` | `initialize()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultRuntimeInformation

          public DefaultRuntimeInformation()

  - ### Method Detail

    - #### getApplicationVersion

          public ArtifactVersion getApplicationVersion()

      Specified by:
        `getApplicationVersion` in interface `RuntimeInformation`

    - #### initialize

          public void initialize()
                          throws InitializationException

      Throws:
        `InitializationException`